<?php
/**
     * Plugin Name: Map of USA Mercator for RVM
     * Plugin URI: https://www.responsivemapsplugin.com/
     * Description: Map of USA Mercator has been added to RVM : You can see it in the list of selectable map when creating a new one!
     * Version: 1.0.0
     * Author: Enrico Urbinati
     * Author URI: https://www.responsivemapsplugin.com/
     */
     
     
     /*  Copyright 2014-2020  Enrico Urbinati  (email : info@responsivemapsplugin.com) */


//Check if function is already declared
if( !function_exists ('rvm_retrieve_maps_options_for_plugin_path_system') ) {
    function rvm_retrieve_maps_options_for_plugin_path_system() {
            // Retrieve all user options from DB
            if( null !== get_option( 'rvm_custom_maps_options_for_plugin_path_system' ) 
                and get_option( 'rvm_custom_maps_options_for_plugin_path_system' ) 
                and !empty( get_option( 'rvm_custom_maps_options_for_plugin_path_system' ) ) ) {
                    $rvm_retrieve_maps_options_for_plugin_path_system = get_option( 'rvm_custom_maps_options_for_plugin_path_system' );
                    return $rvm_retrieve_maps_options_for_plugin_path_system;
            }

            else {
                return false;
            }

    }    
}

//if there is already an option 'rvm_custom_maps_options_for_plugin_path_system' will treat it like an array
if( rvm_retrieve_maps_options_for_plugin_path_system() ) {
    $rvm_retrieve_maps_options_for_plugin_path_system = rvm_retrieve_maps_options_for_plugin_path_system();
    //adding an array with path of plugin and map name

    $rvm_retrieve_maps_options_for_plugin_path_system[ 'rvm-map-usa-merc' ] = 'rvm-map-usa-merc' ;
}

else { $rvm_retrieve_maps_options_for_plugin_path_system = array( 'rvm-map-usa-merc' => 'USA Mercator' ); }


//push new value into the arary ( existing or not )
// Let's save this path into db with autoload set on false, to prevent to write name everytime WP loads
update_option( 'rvm_custom_maps_options_for_plugin_path_system', $rvm_retrieve_maps_options_for_plugin_path_system, false );

?>